import Vue from 'vue'
import Vuex from 'vuex'
 
//1.安装插件
Vue.use(Vuex)
 
//2.创建对象
const store = new Vuex.Store({
  state:{
    token:"",
	login:false,
	userinfo:{
		code:"",
		phone:''
	},
	// 已选出行人
	peopleList:[],
	// c出行人列表
	list:[]
  },
  mutations:{
	setToken(state, token) {
	  console.log('执行了 setToken  获取token+++++++++++++++', token)
	  state.token = token;
	  // uni.setStorage({
	  // 	key: 'token',
	  // 	data: token,
	  // 	success: function() {
	  // 	}
	  // })
	  },
    loginState(state, token) {
 	state.login = token ? true : false;
 	state.token = token;
	console.log(state.login,"<==============是否登录")
 	// uni.setStorage({
 	// 	key: 'token',
 	// 	data: token,
 	// 	success: function() {
 	// 	}
 	// })
   },
   // 获取用户信息
   getUserInfo(state,userinfo){
	   console.log("用户信息====>",userinfo)
	   state.userinfo=userinfo
   },
   // 选择出行人列表
   getpeopleList(state,arr){
	   state.peopleList=arr
	    // console.log(state.peopleList,"<==============选择人")
   },
  },
  actions:{
 
  },
  getters:{
 
  },
  modules:{
    
  }
})
//3.导出使用
export default store
